## version

version

## Types and Values

#define | VIPS_VERSION
#define | VIPS_VERSION_STRING
#define | VIPS_MAJOR_VERSION
#define | VIPS_MINOR_VERSION
#define | VIPS_MICRO_VERSION
#define | VIPS_LIBRARY_CURRENT
#define | VIPS_LIBRARY_REVISION
#define | VIPS_LIBRARY_AGE
#define | VIPS_CONFIG
#define | VIPS_ENABLE_DEPRECATED

## Includes

    #include <vips/vips.h>

## Description

## Functions

## Types and Values

### VIPS_VERSION

    #define VIPS_VERSION "8.16.0"

### VIPS_VERSION_STRING

    #define VIPS_VERSION_STRING "8.16.0"

### VIPS_MAJOR_VERSION

    #define VIPS_MAJOR_VERSION (8)

### VIPS_MINOR_VERSION

    #define VIPS_MINOR_VERSION (16)

### VIPS_MICRO_VERSION

    #define VIPS_MICRO_VERSION (0)

### VIPS_LIBRARY_CURRENT

    #define VIPS_LIBRARY_CURRENT (60)

### VIPS_LIBRARY_REVISION

    #define VIPS_LIBRARY_REVISION (0)

### VIPS_LIBRARY_AGE

    #define VIPS_LIBRARY_AGE (18)

### VIPS_CONFIG

    #define VIPS_CONFIG "enable debug: false\nenable deprecated: true\nenable modules: true\nenable cplusplus: true\nenable RAD load/save: true\nenable Analyze7 load: true\nenable PPM load/save: true\nenable GIF load: true\nFFTs with fftw3: true\nSIMD support with libhwy: true\nICC profile support with lcms2: true\ndeflate compression with zlib: true\ntext rendering with pangocairo: true\nfont file support with fontconfig: true\nEXIF metadata support with libexif: true\nJPEG load/save with libjpeg: true\nJXL load/save with libjxl: true (dynamic module: true)\nJPEG2000 load/save with libopenjp2: true\nPNG load/save with spng: true\nimage quantisation with imagequant: true\nTIFF load/save with libtiff-4: true\nimage pyramid save with libarchive: true\nHEIC/AVIF load/save with libheif: true (dynamic module: true)\nWebP load/save with libwebp: true\nPDF load with poppler-glib: true (dynamic module: true)\nSVG load with librsvg-2.0: true\nEXR load with OpenEXR: true\nWSI load with openslide: true (dynamic module: true)\nMatlab load with matio: true\nNIfTI load/save with libnifti: false\nFITS load/save with cfitsio: true\nGIF save with cgif: true\nMagick load/save with MagickCore: true (dynamic module: true)"

### VIPS_ENABLE_DEPRECATED

    #define VIPS_ENABLE_DEPRECATED 1